View Issue Details

IDProjectCategoryView StatusLast Update
0026438mantisbtbugtrackerpublic2020-02-02 11:30
Reporterdregad Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026438: Allow multiple, customizable due date levels
Description

Currently, the due date setting is binary, i.e. an issue is either overdue or not, and MantisBT does not let the admin determine the actual cutover date (the issue is flagged as overdue on the specified date).

There have been requests to be able to flag the issue as overdue on the following day; and to be able to specify the color (see 0009155). Also, users would like to be able to add additional "levels" of overdue (e.g. due soon, due today, etc), as described in 0016869.

An extra config option defining due date levels would allow administrators to customize both the number of levels, and the cutover deadlines. CSS can be used to define the colors.

TagsNo tags attached.

Relationships

parent of 0009155 resolveddregad Cell coloring for due date indicates "overdue" when not overdue yet. 
parent of 0016869 resolveddregad Change of due date background color 

Activities

Related Changesets

MantisBT: master 1aa2adf8

2020-02-02 11:28:05

dregad

Details Diff
Allow multiple, customizable due date levels

New config option defining due date levels allowing administrators to
customize both the number of levels, and the cutover deadlines. CSS can
be used to define the colors.

Fixes 0026438, 0009155, 0016869
PR https://github.com/mantisbt/mantisbt/pull/1589
Affected Issues
0009155, 0016869, 0026438
mod - bug_update_page.php Diff File
mod - bug_view_inc.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/bug_api.php Diff File
mod - core/columns_api.php Diff File
mod - core/commands/IssueViewPageCommand.php Diff File
mod - css/default.css Diff File
mod - docbook/Admin_Guide/en-US/config/duedate.xml Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2019-12-08 12:01 dregad New Issue
2019-12-08 12:01 dregad Status new => assigned
2019-12-08 12:01 dregad Assigned To => dregad
2019-12-08 12:01 dregad Relationship added parent of 0009155
2019-12-08 12:01 dregad Relationship added parent of 0016869
2019-12-08 12:05 dregad Note Added: 0063200
2019-12-09 05:08 dregad Target Version 2.23.0 => 2.24.0
2020-02-02 11:30 dregad Changeset attached => MantisBT master 1aa2adf8
2020-02-02 11:30 dregad Status assigned => resolved
2020-02-02 11:30 dregad Resolution open => fixed
2020-02-02 11:30 dregad Fixed in Version => 2.24.0